import {View, ViewProps} from 'react-native';
import {GestureHandlerRootView} from 'react-native-gesture-handler';
import {SafeAreaProvider} from 'react-native-safe-area-context';

export type IRNCRootViewProps = ViewProps & {}

export default function IRNCRootView(props: IRNCRootViewProps): JSX.Element {
    return (
        <GestureHandlerRootView style={{flex: 1}}>
            <SafeAreaProvider>
                <View {...props} style={[{flex: 1}, props.style]}/>
            </SafeAreaProvider>
        </GestureHandlerRootView>
    );
}